package nl.iobyte.themepark.api.events.attraction;

import nl.iobyte.themepark.api.attraction.Attraction;
import nl.iobyte.themepark.api.attraction.component.Type;
import nl.iobyte.themepark.api.events.ChangeEvent;

public class ChangeTypeEvent extends ChangeEvent<Type> {

    private Attraction attraction;

    public ChangeTypeEvent(Attraction attraction, Type before, Type after) {
        super(before, after);
        this.attraction = attraction;
    }

    public Attraction getAttraction() {
        return attraction;
    }

}
