package nl.iobyte.themepark.api.events.region;

import nl.iobyte.themepark.api.attraction.Region;
import nl.iobyte.themepark.api.events.ChangeEvent;
import java.util.List;

public class ChangeLoreEvent extends ChangeEvent<List<String>> {

    private Region region;

    public ChangeLoreEvent(Region region, List<String> before, List<String> after) {
        super(before, after);
        this.region = region;
    }

    public Region getRegion() {
        return region;
    }

}
