package nl.iobyte.themepark.api.ridecount;

import nl.iobyte.themepark.api.attraction.Attraction;
import java.util.UUID;

public class RideCount {

    private UUID uuid;
    private Attraction attraction;
    private int count;

    public RideCount(UUID uuid, Attraction attraction, int count) {
        this.uuid = uuid;
        this.attraction = attraction;
        this.count = count;
    }

    public UUID getUUID() {
        return uuid;
    }

    public Attraction getAttraction() {
        return attraction;
    }

    public int getCount() {
        return count;
    }

    public void setCount(int count) {
        this.count = count;
    }

    public void addCount(int amount) {
        count += amount;
    }

}
