package nl.iobyte.themepark.api.attraction.component;

public enum Status {

    CONSTRUCTION, OPEN,
    CLOSED, MAINTENANCE,
    MALFUNCTION, ACTIVE,
    INACTIVE, GLOBAL;

    public static Status getStatus(String str) {
        if(str == null || str.isEmpty())
            return null;

        str = str.toUpperCase();
        switch(str) {
            case "CONSTRUCTION":
                return CONSTRUCTION;
            case "OPEN":
                return OPEN;
            case "CLOSED":
                return CLOSED;
            case "MAINTENANCE":
                return MAINTENANCE;
            case "MALFUNCTION":
                return MALFUNCTION;
            case "ACTIVE":
                return ACTIVE;
            case "INACTIVE":
                return INACTIVE;
            case "GLOBAL":
                return GLOBAL;
            default:
                return null;
        }
    }

}
